[Español]
Hola
Estoy generando un ejecutable partiendo del código fuente, al que he añadido mis propias extensiones. Tengo algunas dudas a la
hora de generarlo

1. Me gustaría añadir mi propio tema (tengo un icono y un splash). Cuando lo ejecuto a través del eclipse, me funciona perfectamente
(porque ya se donde colocarlo y cómo hacer para lanzar la aplicación y que me coja este menú) pero cuando genero el ejecutable, no
de dónde colocarlo. ¿Dónde lo tengo que poner?

2. A la hora de lanzar el ejecutable utilizo el archivo gvSIG-desktop-2.0.0-2045-alpha4-lin-x86-online al que le indico que quiero
instalar a través de ficheros indicándole mi archivo mypackages.gvspkg. Resulta que lo lanzo, selecciono el archivo, me salen
seleccionadas todas mis extensiones por defecto, pero me sale el siguiente mensaje

Las siguientes dependencias no ha sido posible resolverlas. ¿Quiere continuar de todas formas?
required: es.udc.lbd.giseiel.base -ge 2.0.0-0
required: es.udc.lbd.giseiel.editing -ge 2.0.0-0
required: org.gvsig.app.document.table.app.mainplugin -ge 2.0.0-0

¿Esto es normal? En mi caso la extensión base es la extensión de la cual dependen todas y en el caso de no instalarse debería de
dar un error, pero si ya está seleccionada, no entiendo porque me indica que faltan esos proyectos
El fichero defaultPackages.gvspks ya os lo había pasado en un ftp, pero por si acaso os vuelvo a indicar el ftp para que podáis
consultar su contenido
Host: atlas.dc.fi.udc.es
Usuario: gvsig
Contraseña: %gvsig2012$

¿Qué se supone que tengo mal o me falta por indicar?

3. Estoy teniendo problemas con la última parte de la generación del instalable, es decir, unir los ficheros de paquetes con el exe del
instalador.
Es para windows y lo estoy haciendo desde una máquina virtual de linux (para evitar el problema de las librerías)

Basándome en (1), he descargado de (2) el directorio gvspkg.bin.
He incluido la carpeta gvspkg.bin en mi home con el nombre ".gvspkg.bin", y el script gvspkg está en el path
Me sitúó en la carpeta donde tengo el mypackages.gvspks y escribo lo siguiente
gvspkg mkinstall gvSIG-desktop-2.0.0-2045-alpha4-lin-x86-online.bin mypackages.gvspks

Tengo el siguiente error:

bash: /home/ubuntu/.gvspkg.bin/gvspkg: /usr/bin/python^M: intérprete erróneo: No existe el fichero o el directorio

Os adjunto el fichero options y el fichero gvspkg (por si hay algún problema de encoding en ellos)

(1) -  
http://www.gvsig.org/web/projects/gvsig-desktop/docs/devel/gvsig-devel-guide/2.0.0/trabajar-con-un-proyecto/instalables-en-gvsig/ge
erando-nuestra-distribucion-de-gvsig
(2) -  https://downloads.gvsig.org/download/gvsig-desktop/gvspkg.bin/

¿Podéis ayudarme con estos 3 problemas?

Muchas gracias de antemano
Saludos

[English]
Hi!
I'm generating a set-up from the source code which I've added my own extensiones. I've have some questions:
1. I would like to add my own theme (I've an icon and a splah). When I'm runnig from eclipse, everything is ok (because I know where
I have to colocate it) but when I'm generating this set-up I don't know where I have to colocate it. Can you help me?

2. When I'im using the set-up, I'm using the file 'gvSIG-desktop-2.0.0-2045-alpha4-lin-x86-online' which I'm indicating that I installed
via file (my mypackages.gvspkg).  I'm launching the set-up via file, all my extensiones are selected by I have this messages

The following dependencies have not benn possible to resolve. Do you want to continue anyway?
required: es.udc.lbd.giseiel.base -ge 2.0.0-0
required: es.udc.lbd.giseiel.editing -ge 2.0.0-0
required: org.gvsig.app.document.table.app.mainplugin -ge 2.0.0-0

Is this normal? In my case, base extension is the principal extension and all other dependent of this but It is already selected. I don't
understand
You can see defaultPackages.gvspks in this ftp
Host: atlas.dc.fi.udc.es
Usuario: gvsig
Contraseña: %gvsig2012$

Which is my problem?

3. I have problems with the last part of the generation of installable, this is, to join the files into the package with the exe file. It's to
windows I'm doing in a linux virtual machine (to resolve the problem with the libraries).
Based on (1),  I've downloaded from (2) the directory gvspkg.bin
I've included the folder gvspkg.bin in my home with the name '.gvspkg.bin' and the gvspkg script is into the path
I'm located in the folder where I've the mypackages.gvspkg and I've writed
gvspkg mkinstall gvSIG-desktop-2.0.0-2045-alpha4-lin-x86-online.bin mypackages.gvspks
I've the next problem

bash: /home/ubuntu/.gvspkg.bin/gvspkg: /usr/bin/python^M: intérprete erróneo: No existe el fichero o el directorio

I attached the options file and the gvspkg file (if there is a problem of encoding)

(1) -  
http://www.gvsig.org/web/projects/gvsig-desktop/docs/devel/gvsig-devel-guide/2.0.0/trabajar-con-un-proyecto/instalables-en-gvsig/ge
erando-nuestra-distribucion-de-gvsig
(2) -  https://downloads.gvsig.org/download/gvsig-desktop/gvspkg.bin/

Can you help me with these 3 problems?
Thank you in advanced
Regards

Associated revisions
Revision 67 - 03/14/2011 02:00 AM - fjp

fixes #590

Revision 69 - 03/16/2011 11:38 PM - fjp

fixes #619, fixes #590
refs #592

History
#1 - 05/10/2012 02:28 PM - Manuel Madrid
- Status changed from New to Closed

Ticket dado de alta por error. Cerrado.

Files
gvspkg 38.2 KB 05/08/2012 Leticia Riestra
options 268 Bytes 05/08/2012 Leticia Riestra
